Få Google Chrome-support tilbage på din 32-bit Linux

krom på ubuntu

Som Google meddelte i december, Google Chrome-support på 32-bit Linux-systemer er ophørt samme måned. Alle de brugere, der fortsætter med at bruge denne applikation, er blevet anbefalet at stoppe med at gøre det, for selvom de fortsat vil være i stand til at køre det, modtager de ikke flere opdateringer, inklusive de nødvendige sikkerhedsrettelser.

På den anden side ansøgningen Chromium til 32-bit synes stadig at være understøttet på Linux-systemer og kunne betragtes som et alternativ til denne situation, der opstår. Da det officielle Google Chrome-lager til 32-bit-pakker ikke længere eksisterer, er brugere med et 64-bit-system, og som bruger den version af applikationen modtager en fejlmeddelelse, når du prøver at opdatere pakken. Heldigvis har det en nem løsning.

Hvis du bruger 32-bit Chrome under et Ubuntu x64-system, får du beskeden, når du prøver at opdatere pakken til denne applikation:

Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release
Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file) Some index files failed to download. They have been ignored, or old ones used instead.

Løs dette lille fejl i Ubuntu er det meget simpelt og du bliver kun nødt til at redigere en lille linje i filen /etc/apt/sources.list.d/google-chrome.list. Du skal blot tilføje teksten "[arch = amd64]" efter afsnittet "deb" eller bruge følgende kommando:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

Den forrige fil gendannes med hver opdatering skal gøres med programmet, så hvis du ikke ønsker at skulle gå tilbage over de samme trin som før, anbefaler vi, at du tilføjer + i-attributten til filen for at gøre det uforanderlig. For at gøre dette skal du udføre følgende instruktion om det:

</p>
<p class="source-code">sudo chattr -i /etc/apt/sources.list.d/google-chrome.list</p>
<p class="source-code">

Efterlad din kommentar

Din e-mailadresse vil ikke blive offentliggjort. Obligatoriske felter er markeret med *

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Control SPAM, management af kommentarer.
  3. Legitimering: Dit samtykke
  4. Kommunikation af dataene: Dataene vil ikke blive kommunikeret til tredjemand, undtagen ved juridisk forpligtelse.
  5. Datalagring: Database hostet af Occentus Networks (EU)
  6. Rettigheder: Du kan til enhver tid begrænse, gendanne og slette dine oplysninger.

  1.   rztv23 sagde han

    åh så godt: v

  2.   varulv sagde han

    Tak

  3.   Oswaldo Hernandez sagde han

    Okay artiklen er meget god, men dem der bruger 32bit arkitektur, hvordan gør vi det for at installere 64bit chrome, da det kaster følgende fejl:
    # dpkg -i google-chrome-stable_current_amd64.deb
    dpkg: fejl under behandling af google-chrome-stable_current_amd64.deb (–install) fil:
    pakkens arkitektur (amd64) svarer ikke til systemets (i386)
    Der opstod fejl under behandlingen:
    google-chrome-stable_current_amd64.deb

    1.    Jorge sagde han

      Måske er denne kommentar ikke nyttig for den gamle blog, men den vil være for den, der læser den.
      Systemer baseret på 32 bit understøtter ikke 64-bit-programmer, så de installeres ikke engang (omvendt, hvis det er muligt, understøtter systemer baseret på 64 bit 32-bit-programmer).
      hilsen

  4.   Ali Gonzalez sagde han

    Indholdet af artiklen er ikke i overensstemmelse med titlen. Pointen er, at du har et 32-bit Ubuntu-system, og du vil montere Chrome til 32-bit, selvom det ikke længere understøttes. Du har ikke et 64-bit system.